<?php

defined('_IN_JOHNCMS') or die('Error: restricted access');
require('../incfiles/head.php');

/*
-----------------------------------------------------------------
Создать / изменить альбом
-----------------------------------------------------------------
*/
if ($rights == 9) {
    if ($al) {
        $req = mysql_query("SELECT * FROM `album_cat` WHERE `id` = '$al'");
        if (mysql_num_rows($req)) {
            echo '<div class="phdr"><b>' . $lng_profile['album_edit'] . '</b></div>';
            $res = mysql_fetch_assoc($req);
            $name = htmlspecialchars($res['name']);
        } else {
            echo functions::display_error($lng['error_wrong_data']);
            require('../incfiles/end.php');
            exit;
        }
    } else {
        echo '<div class="phdr"><b>' . $lng_profile['album_create'] . '</b></div>';
        $name = '';
    }
    $error = array ();
    if (isset($_POST['submit'])) {
        // Принимаем данные
        $name = isset($_POST['name']) ? trim($_POST['name']) : '';
        // Проверяем на ошибки
        if (empty($name))
            $error[] = $lng['error_empty_title'];
        elseif (mb_strlen($name) < 2 || mb_strlen($name) > 50)
            $error[] = $lng['title'] . ': ' . $lng['error_wrong_lenght'];
        // Проверяем, есть ли уже альбом с таким же именем?
        if (!$al && mysql_num_rows(mysql_query("SELECT * FROM `album_cat` WHERE `name` = '" . mysql_real_escape_string($name) . "' LIMIT 1")))
            $error[] = $lng_profile['error_album_exists'];
        if (!$error) {
            if ($al) {
                // Изменяем данные в базе
                mysql_query("UPDATE `album_files` WHERE `album_id` = '$al'");
                mysql_query("UPDATE `album_cat` SET `name` = '" . mysql_real_escape_string($name) . "' WHERE `id` = '$al'");
            } else {
                // Вычисляем сортировку
                $req = mysql_query("SELECT * FROM `album_cat` ORDER BY `sort` DESC LIMIT 1");
                if (mysql_num_rows($req)) {
                    $res = mysql_fetch_assoc($req);
                    $sort = $res['sort'] + 1;
                } else {
                    $sort = 1;
                }
                // Заносим данные в базу
                mysql_query("INSERT INTO `album_cat` SET `name` = '" . mysql_real_escape_string($name) . "', `sort` = '$sort'
                ");
            }
            echo '<div class="gmenu"><p>' . ($al ? $lng_profile['album_changed'] : $lng_profile['album_created']) . '<br />' .
                '<a href="?">' . $lng['continue'] . '</a></p></div>';
            require('../incfiles/end.php');
            exit;
        }
    }
    if ($error)
        echo functions::display_error($error);
    echo '<div class="menu">' .
        '<form action="?act=edit&amp;al=' . $al . '" method="post">' .
        '<b>' . $lng['title'] . ':</b> <small>Min. 2, Max. 30</small><br/>' .
        '<p><input type="text" name="name" value="' . functions::checkout($name) . '" maxlength="30" /></p>' .
		'<p><input type="submit" name="submit" value="' . $lng['save'] . '" /></p>' .
        '</form></div>';
}